/* PBSortedComponents.h created by luke on Thu 22-May-1997 */

#import <Foundation/Foundation.h>
#import <ProjectBuilder/PBBundleHost.h>
#import <ProjectBuilder/PBProject.h>

@interface PBSortedComponents : NSObject
{
}

// ProjectBuilder notification handlers.

- (void)projectDidOpen:(NSNotification *)notification;
- (void)fileAddedToProject:(NSNotification *)notification;
- (void)fileRemovedFromProject:(NSNotification *)notification;

// This is actually called by both fileAddedToProject: and fileRemovedFromProject:.
// Currently, all changes to the project file set cause resorting.
- (void)filesChangedInProject:(NSNotification *)notification;

// Project sorting methods.

- (void)sortProjectComponents:(PBProject *)project;
- (void)sortProjectComponents:(PBProject *)project withFileKey:(NSString *)fileKey;

// This is actually called by both fileAddedToProject: and fileRemovedFromProject:.

- (void)filesChangedInProject:(NSNotification *)notification;

@end
